//this file is part of eMule
//Copyright (C)2010 Merkur ( devs@emule-project.net / http://www.emule-project.net )
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either
//version 2 of the License, or (at your option) any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#pragma once

class CPPgMOD2 : public CPropertyPage
{
	DECLARE_DYNAMIC(CPPgMOD2)

public:
	CPPgMOD2();
	virtual ~CPPgMOD2();
	void Localize(void);
	// Dialog Data
	enum { IDD = IDD_PPG_MOD2 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    BOOL OnApply(void);
	void LoadSettings(void);
	BOOL OnInitDialog(void);

DECLARE_MESSAGE_MAP()
	afx_msg void OnSettingsChange()					{ SetModified(); }
	afx_msg void OnClickButton();//Family filter

//>>> taz::Slot Control
	uint16 Slots;
	CSliderCtrl m_ctlSlots;
//<<< taz::Slot Control

	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
public:
	afx_msg void OnBnClickedChangePassff();
/*
// Contrib - invisible mode
	// eF-Mod :: InvisibleMode
protected:
	UINT    m_iActualKeyModifier; 

	afx_msg void OnBoxesChange() {SetBoxes();SetModified();}//deltahotel
    afx_msg void OnCbnSelchangeKeymodcombo(); 

private: 
    void SetBoxes(); 
	// eF-Mod end
// <-------- invisible mode
*/
};
